Comparing builds

Builds builder@2022-07-04 18:48:08Z on debian-10 and builder@2022-01-02 19:31:10Z on debian-10

Compare in reverse direction

Opam packages removed

New opam packages installed

bigarray-compat.1.0.0
mmap.1.1.0

Opam packages with version changes

base.v0.15.0->v0.14.2
bigstringaf.0.9.0->0.8.0
builder.0.3.2~dev->0.3.1~dev
ca-certs-nss.3.77->3.71.0.1
cmdliner.1.1.1->1.0.4
conf-gmp.4->3
cppo.1.6.9->1.6.8
cstruct.6.1.0->6.0.1
cstruct-lwt.6.1.0->6.0.1
cstruct-sexp.6.1.0->6.0.1
dns.6.2.2->6.1.3
dns-client.6.2.2->6.1.3
domain-name.0.4.0->0.3.1
dune.3.3.1->2.9.1
dune-configurator.3.3.1->2.9.1
happy-eyeballs.0.3.0->0.1.2
happy-eyeballs-lwt.0.3.0->0.1.2
http-lwt-client.0.0.6->0.0.5
ipaddr.5.3.0->5.2.0
ipaddr-sexp.5.3.0->5.2.0
lwt.5.6.1->5.5.0
macaddr.5.3.0->5.2.0
macaddr-cstruct.5.3.0->5.2.0
metrics.0.4.0->0.3.0
mirage-clock.4.2.0->4.0.0
mirage-crypto.0.10.6->0.10.5
mirage-crypto-ec.0.10.6->0.10.5
mirage-crypto-pk.0.10.6->0.10.5
mirage-crypto-rng.0.10.6->0.10.5
mirage-kv.4.0.1->4.0.0
mtime.1.4.0->1.3.0
ocaml.4.14.0->4.13.1
ocaml-base-compiler.4.14.0->4.13.1
ocamlbuild.0.14.1->0.14.0
ocamlfind.1.9.5->1.9.1
parsexp.v0.15.0->v0.14.1
ppx_cstruct.6.1.0->6.0.1
ppx_sexp_conv.v0.15.1->v0.14.3
ppxlib.0.27.0->0.24.0
ptime.1.0.0->0.8.6
sexplib.v0.15.0->v0.14.0
sexplib0.v0.15.1->v0.14.0
tcpip.7.1.1->7.0.1
tls.0.15.3->0.15.2
tls-mirage.0.15.3->0.15.2
topkg.1.0.5->1.0.4
uuidm.0.9.8->0.9.7
x509.0.16.0->0.15.2

Opam packages with changes in their opam file

num.1.4

install instruction (without common prefix) modifications, old:
["ocamlfind" "remove" "num"]
["ocamlfind" "remove" "num-top"]
[make "install" {!ocaml:preinstalled} "findlib-install" {ocaml:preinstalled}]
new
[make "install" {!ocaml:preinstalled} "findlib-install" {ocaml:preinstalled}]

lru.0.3.0 (and additional changes)


logs.0.7.0 (and additional changes)


Unchanged opam packages

angstrom.0.15.0
arp.3.0.0
asn1-combinators.0.2.6
astring.0.8.5
base-bigarray.base
base-bytes.base
base-threads.base
base-unix.base
base64.3.5.0
bheap.2.0.0
bos.0.2.1
ca-certs.0.2.2
conf-gmp-powm-sec.3
conf-pkg-config.2
csexp.1.5.1
duration.0.2.0
eqaf.0.8
ethernet.3.0.0
faraday.0.8.1
faraday-lwt.0.8.1
faraday-lwt-unix.0.8.1
fmt.0.9.0
fpath.0.7.3
gmap.0.3.0
h2.0.8.0
hkdf.1.0.4
hpack.0.2.0
httpaf.0.7.1
lwt-dllist.1.0.1
mirage-flow.3.0.0
mirage-net.4.0.0
mirage-no-solo5.1
mirage-no-xen.1
mirage-profile.0.9.1
mirage-random.3.0.0
mirage-time.3.0.0
ocaml-compiler-libs.v0.12.4
ocaml-config.2
ocaml-options-vanilla.1
ocaml-syntax-shims.1.0.0
ocplib-endian.1.2
pbkdf.1.2.0
ppx_derivers.1.2.1
psq.0.2.0
randomconv.0.1.3
result.1.5
rresult.0.7.0
seq.base
stdlib-shims.0.3.0
zarith.1.12

Environment variables added

Environment variables removed

Environment variables changed

System packages added

libfile-fcntllock-perl 0.22-3+b5
libglib2.0-data 2.58.3-2+deb10u3
liblocale-gettext-perl 1.07-3+b4
shared-mime-info 1.10-1
xdg-user-dirs 0.17-2

System packages removed

autoconf 2.69-11
automake 1:1.16.1-4
autopoint 0.19.8.1-9
autotools-dev 20180224.1
bsdmainutils 11.1.2+b1
debhelper 12.1.1
dh-autoreconf 19
dh-exec 0.23.1
dh-strip-nondeterminism 1.1.2-1
dpkg-dev 1.19.8
dwz 0.12-3
file 1:5.35-4+deb10u2
gettext 0.19.8.1-9
gettext-base 0.19.8.1-9
groff-base 1.22.4-3+deb10u1
intltool-debian 0.35.0+20060710.5
libarchive-zip-perl 1.64-1
libbsd0 0.9.1-2+deb10u1
libcroco3 0.6.12-3
libfile-stripnondeterminism-perl 1.1.2-1
libmagic-mgc 1:5.35-4+deb10u2
libmagic1 1:5.35-4+deb10u2
libncurses6 6.1+20181013-2+deb10u2
libpipeline1 1.5.1-2
libsigsegv2 2.12-2
libtool 2.4.6-9
libuchardet0 0.0.6-3
m4 1.4.18-2
man-db 2.8.5-2
po-debconf 1.0.21
sensible-utils 0.0.12

System packages changed

builder 0.3.1->0.3.0-5-g087108a
libc-dev-bin 2.28-10+deb10u1->2.28-10
libc6 2.28-10+deb10u1->2.28-10
libc6-dev 2.28-10+deb10u1->2.28-10
libdpkg-perl 1.19.8->1.19.7
libexpat1 2.2.6-2+deb10u4->2.2.6-2+deb10u1
libgmp-dev 2:6.1.2+dfsg-4+deb10u1->2:6.1.2+dfsg-4
libgmp10 2:6.1.2+dfsg-4+deb10u1->2:6.1.2+dfsg-4
libgmpxx4ldbl 2:6.1.2+dfsg-4+deb10u1->2:6.1.2+dfsg-4
libicu63 63.1-6+deb10u3->63.1-6+deb10u2
libldap-2.4-2 2.4.47+dfsg-3+deb10u7->2.4.47+dfsg-3+deb10u6
libldap-common 2.4.47+dfsg-3+deb10u7->2.4.47+dfsg-3+deb10u6
libsasl2-2 2.1.27+dfsg-1+deb10u2->2.1.27+dfsg-1+deb10u1
libsasl2-modules-db 2.1.27+dfsg-1+deb10u2->2.1.27+dfsg-1+deb10u1
libssl1.1 1.1.1n-0+deb10u3->1.1.1d-0+deb10u7
libxml2 2.9.4+dfsg1-7+deb10u4->2.9.4+dfsg1-7+deb10u2
linux-libc-dev 4.19.249-2->4.19.208-1
openssl 1.1.1n-0+deb10u3->1.1.1d-0+deb10u7
orb 0.0.1-3-gf4833d3->0.0.1-a16d89b
xz-utils 5.2.4-1+deb10u1->5.2.4-1